[Pkg-octave-devel] Bug#475789: octave3.0: Conflict with octave2.9 must include epoch in version

Jeroen Dekkers jeroen at dekkers.cx
Sat Apr 12 23:27:50 UTC 2008

Package: octave3.0
Version: 1:3.0.0-10
Severity: grave
Justification: renders package unusable

Installing octave3.0 results in the following:

Unpacking octave3.0 (from .../octave3.0_1%3a3.0.0-10_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/octave3.0_1%3a3.0.0-10_amd64.deb (--unpack):
 trying to overwrite `/usr/share/enscript/hl/octave.st', which is also in package octave2.9

The problem is that the conflicts doesn't include the epoch in the version:

Conflicts: octave (<= 2.0.16-2), octave2.9 (<< 3)

I guess that should be << 1:3.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages octave3.0 depends on:
ii  libblas3gf [libblas.so 1.2-1.5           Basic Linear Algebra Subroutines 3
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libcurl3-gnutls        7.18.0-1          Multi-protocol file transfer libra
ii  libfftw3-3             3.1.2-3           library for computing Fast Fourier
ii  libgcc1                1:4.3.0-3         GCC support library
ii  libgfortran3           4.3.0-3           Runtime library for GNU Fortran ap
ii  libglpk0               4.28-3            linear programming kit with intege
ii  libhdf5-serial-1.6.6-0 1.6.6-4           Hierarchical Data Format 5 (HDF5) 
ii  liblapack3gf [liblapac 3.1.1-0.4         library of linear algebra routines
ii  libncurses5            5.6+20080308-1    Shared libraries for terminal hand
ii  libpcre3               7.4-1+lenny1      Perl 5 Compatible Regular Expressi
ii  libqhull5              2003.1-8          calculate convex hulls and related
ii  libreadline5           5.2-3             GNU readline and history libraries
ii  libstdc++6             4.3.0-3           The GNU Standard C++ Library v3
ii  libsuitesparse-3.1.0   3.1.0-3           collection of libraries for comput
ii  texinfo                4.11.dfsg.1-4     Documentation system for on-line i
ii  zlib1g                 1: compression library - runtime

Versions of packages octave3.0 recommends:
ii  gnuplot                       4.2.2-1    A command-line driven interactive 
pn  libatlas3gf-base              <none>     (no description available)

-- no debconf information

More information about the Pkg-octave-devel mailing list